go-unifi

List Switch Stacks

Retrieve a paginated list of all Switch Stacks on a site. <details> <summary>Filterable properties (click to expand)</summary> |Name|Type|Allowed functions| |-|-|-| |`id`|`UUID`|`eq` `ne` `in` `notIn`| |`name`|`STRING`|`eq` `ne` `in` `notIn` `like`| |`members.deviceId`|`SET(UUID)`|`contains` `containsAny` `containsAll` `containsExactly`| |`metadata.origin`|`STRING`|`eq` `ne` `in` `notIn`| </details>

GET
/v1/sites/{siteId}/switching/switch-stacks

Retrieve a paginated list of all Switch Stacks on a site.

NameTypeAllowed functions
idUUIDeq ne in notIn
nameSTRINGeq ne in notIn like
members.deviceIdSET(UUID)contains containsAny containsAll containsExactly
metadata.originSTRINGeq ne in notIn
X-Api-Key<token>

UniFi API key. Create one under Control Plane → Admins & Users → your admin → Create API Key (requires controller 9.0.114+).

In: header

Path Parameters

siteId*string

Query Parameters

offset?integer
limit?integer
filter?string

Response Body

application/json

curl -X GET "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/switching/switch-stacks"
{  "offset": 0,  "limit": 25,  "count": 10,  "totalCount": 1000,  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "members": [        {          "deviceId": "4de4adb9-21ee-47e3-aeb4-8cf8ed6c109a"        },        {          "deviceId": "4de4adb9-21ee-47e3-aeb4-8cf8ed6c109a"        }      ],      "lags": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "members": [            {              "deviceId": "4de4adb9-21ee-47e3-aeb4-8cf8ed6c109a",              "portIdxs": [                0              ]            }          ],          "metadata": null        }      ],      "metadata": null    }  ]}